Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class Util

    java.lang.Object
      |
      +--org.jboss.deployment.Util

public class Util
extends java.lang.Object

Common deployment utility methods.

Author:
  Scott.Stark@jboss.org

Constructor Summary
`Util()`

Method Summary
`static java.lang.String` | `getDeploymentDescriptor(java.io.File file)`
`static java.lang.String` | `getName(java.lang.String url)` Truncates the the name (the last cluster of letters after the last slash.
`static java.lang.String` | `getWebContext(java.lang.String _url)` Generates a webcontex for the given url
`static int` | `hasDeploymentDescriptor(java.io.File file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Util

    public Util()

Method Detail

### hasDeploymentDescriptor

    public static int hasDeploymentDescriptor(java.io.File file)

### getDeploymentDescriptor

    public static java.lang.String getDeploymentDescriptor(java.io.File file)

### getName

    public static java.lang.String getName(java.lang.String url)

  Truncates the the name (the last cluster of letters after the last slash.
  Parameters:
    `_url` - an URL or something like that

### getWebContext

    public static java.lang.String getWebContext(java.lang.String _url)

  Generates a webcontex for the given url
  Parameters:
    `_url` - an URL or something like that

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.